/*
    QAD - Qt ADvanced

    Ivan Pelipenko peri4ko@yandex.ru, Andrey Bychkov work.a.b@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PROPERTYSTORAGEEDITOR_H
#define PROPERTYSTORAGEEDITOR_H

#include "qad_widgets_export.h"

#include <QWidget>


class PropertyStorage;


class QAD_WIDGETS_EXPORT PropertyStorageEditor: public QWidget {
	Q_OBJECT

public:
	explicit PropertyStorageEditor(QWidget * parent = nullptr);
	~PropertyStorageEditor() override;

	void clear();
	bool isEmpty() const;
	void setStorage(PropertyStorage * s);
	void applyProperties();

signals:
	void resetStorageRequest(PropertyStorage *);
	void changed();

private:
	QList<QWidget *> _widgets;
	PropertyStorage * storage;
};

#endif // PROPERTYSTORAGEEDITOR_H
